Package tigase.cluster

## Class ClusterConnectionManager.DefClConRepositoryBean

- java.lang.Object
- - tigase.db.beans.SDRepositoryBean<ComponentRepositoryDataSourceAware<Item,​DataSource>>
  - - tigase.db.comp.AbstractSDComponentRepositoryBean<ClusterRepoItem>
    - - tigase.cluster.ClusterConnectionManager.DefClConRepositoryBean

- All Implemented Interfaces:
    `java.lang.Iterable<ClusterRepoItem>`, `ComponentRepository<ClusterRepoItem>`, `Repository`, `ConfigurationChangedAware`, `Initializable`, `RegistrarBean`, `UnregisterAware`
  Enclosing class:
    ClusterConnectionManager

      @Bean(name="clConRepositoryBean",
            parent=ClusterConnectionManager.class,
            active=true)
      public static class ClusterConnectionManager.DefClConRepositoryBean
      extends AbstractSDComponentRepositoryBean<ClusterRepoItem>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

  - ### Field Summary

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefClConRepositoryBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Class<? extends ComponentRepositoryDataSourceAware<ClusterRepoItem,​DataSource>>` | `findClassForDataSource​(DataSource dataSource)` |

    - ### Methods inherited from class tigase.db.comp.AbstractSDComponentRepositoryBean

      `addItem, addItemNoStore, addRepoChangeListener, allItems, contains, destroy, getDefaults, getItem, getItemInstance, initRepository, iterator, reload, removeItem, removeItemNoStore, removeRepoChangeListener, setAutoloadTimer, setProperties, setRepository, size, store, toString, validateItem`

    - ### Methods inherited from class tigase.db.beans.SDRepositoryBean

      `beanConfigurationChanged, beforeUnregister, getDataSourceName, getName, getRepository, getRepositoryClassName, initialize, initializeRepository, onDataSourceChange, register, unregister`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### DefClConRepositoryBean

          public DefClConRepositoryBean()

  - ### Method Detail

    - #### findClassForDataSource

          protected java.lang.Class<? extends ComponentRepositoryDataSourceAware<ClusterRepoItem,​DataSource>> findClassForDataSource​(DataSource dataSource)
                                                                                                                                    throws DBInitException

      Specified by:
        `findClassForDataSource` in class `SDRepositoryBean<ComponentRepositoryDataSourceAware<ClusterRepoItem,​DataSource>>`
      Throws:
        `DBInitException`